Library Version 18.1.40

DB_ENV->get_lk_tablesize()
Prev | Chapter 6. The DB_LOCK Handle | Next

## DB_ENV->get_lk_tablesize()

    #include <db.h>

    int
    DB_ENV->get_lk_tablesize(DB_ENV *dbenv, u_int32_t *tablesizep;

The `DB_ENV->get_lk_tablesize()` method returns the size of the lock object hash table in the Berkeley DB environment. This value is set using the DB_ENV->set_lk_tablesize() method.

The `DB_ENV->get_lk_tablesize()` method may be called at any time during the life of the application.

The `DB_ENV->get_lk_tablesize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### tablesizep

The tablesizep parameter references memory into which is copied the size of the lock object hash table configured for the Berkeley DB environment.

### Class

DB_ENV, DB_LOCK

### See Also

Locking Subsystem and Related Methods

Prev | Up | Next
DB_ENV->get_lk_priority() | Home | DB_ENV->set_lk_conflicts()